@echo off
echo Firmware Upgrade Utility
echo Version 3.0
 


echo This Utility will upgrade the firmware on all NC7760, NC7770, NC7781 NICs.


echo Updating firmware on all NC7770 devices to version 2.19.
q57udiag -firm EE5701C2.19

echo Updating pxe on all NC7770 devices to version 3.2.1.

q57udiag -cname 7770 -pxe q57pxe.bin


echo Updating firmware on all NC7760 devices to version 2.35.

q57udiag -firm EE5702L2.35

q57udiag -set02L


echo Updating firmware on al NC7781 devices to version 2.33

q57udiag -firm EE5703L2.33

echo Upgrade complete

echo on
